/*******************************************************************************
* This is the master message file: this will create:                           *
* - message.h: a list defining what kind of parameter                          *
*   (string, integer, etc) must be used to build the message                   *
* - ysp.txt: the message file itself                                           *
*                                                                              *
* Text after // will NOT be part of the message string                         *
* (i.e: ysp.txt).  However, the variables (if any) will put                    *
* in the variable list (i.e message.h).  This is intended to                   *
* avoid to output here this information, while some other                      *
* (hand_made) ysp.txt might find useful.                                       *
*******************************************************************************/

/* Error location messages */
MSG(ER_NULL,  "");
MSG(ER_LINE,  "%s");
MSG(ER_INDIC, "%s");
MSG(ER_LOC0,  "In primary entity (\"%s\"), at line %d, col %d://offset %ld");
MSG(ER_LOC1,  "In entity: %s (\"%s\"), at line %d, col %d:");
MSG(ER_LOC2,  "In entity: %s, at offset %d:");
MSG(ER_LOC3,  "In literal, at offset %d:");

/* Used by errorh() */
MSG(ABORTED,  "Terminated.");
MSG(AMBMDL,   "Ambiguous model on token \"%s\"");
MSG(BADCLOSE, "Cannot close external entity: \"%s\"");
MSG(BADCLPRIM,"Cannot close primary entity");
MSG(BADCLS,   "Incompatible Public Text Class; ignored");
MSG(BADNOTA,  "Notation: \"%s\" has not been defined");
MSG(BADOPDRD, "ODT file invalid or unreadable (code %d)");
MSG(BADOPDWR, "Cannot write ODT file");
MSG(BADOPEN,  "Cannot open external entity: \"%s\"");
MSG(BADOPPRIM,"Cannot open primary entity");
MSG(BADOPSRD, "Syntax file invalid or unreadable (code %d)");
MSG(BADOPSWR, "Cannot write syntax file");
MSG(BADRDPRIM,"I/O error reading primary entity");
MSG(BADREAD,  "I/O error reading external entity: \"%s\"");
MSG(BADREADUT,"I/O error reading utility file");
MSG(BADWRITUT,"I/O error writing utility file");
MSG(BIGALLOC, "Capacity points condition %d occurred on 16-bit machine; terminated");
MSG(BIGASETY, "Number of entity names (%d) exceeds GRPCNT");
MSG(BIGASIDR, "Number of id references names (%d) exceeds GRPCNT");
MSG(BIGATTCNT,"ATTCNT quantity exceeded; value \"%s\" ignored");
MSG(BIGAVL,   "Normalized length of attribute value (%d) exceeds LITLEN");
MSG(BIGAVS,   "Normalized length of attribute specification (%d) exceeds ATTSPLEN");
MSG(BIGCAP,   "\"%s\" capacity exceeded (%lu vs. %lu allowed)");
MSG(BIGCHDESC,"Described character %d outside of the character set");
MSG(BIGCHNB,  "Character number too big; reference ignored");
MSG(BIGDLIT,  "Data tag literal too long");
MSG(BIGDSCLIT,"Too many literals in DESCSETs");
MSG(BIGDTD,   "Too many DOCTYPE declarations, or CONCUR not enabled");
MSG(BIGENTLVL,"Entity nesting exceeds ENTLVL quantity");
MSG(BIGFEAT,  "Number exceeds the currently supported value; limited to %d");
MSG(BIGGRPCNT,"Token exceeds GRPCNT quantity");
MSG(BIGGRPGTC,"Token exceeds GRPGTCNT quantity");
MSG(BIGGRPLVL,"Nested group exceeds GRPLVL quantity");
MSG(BIGLINK,  "Too many LINK declarations, or this kind of LINK not enabled");
MSG(BIGLIT,   "Literal too long");
MSG(BIGLITBK, "Bracketed literal too long");
MSG(BIGLITRCS,"Minimum literal (%d) exceeds the reference LITLEN quantity");
MSG(BIGMODLVL,"Mode stack overflow");
MSG(BIGMSLVL, "Nested MS exceeds TAGLVL quantity; MS ignored");
MSG(BIGNAME,  "The length exceeds the NAMELEN quantity");
MSG(BIGNAMEP, "Parameter entity name is too long");
MSG(BIGNAMET, "The length exceeds the NAMELEN quantity; truncated");
MSG(BIGPI,    "Processing Instruction too long");
MSG(BIGQTY,   "TOTALCAP set to the largest individual value %u");
MSG(BIGSTMSUF,"\"%s%s\": stem plus suffix exceed the NAMELEN quantity");
MSG(BIGSUBDOC,"Too many SUBDOC opened, or SUBDOC not enabled");
MSG(BIGTAGLEN,"Start-tag length (%d) exceeded TAGLEN quantity");
MSG(BIGTAGLVL,"TAGLVL quantity exceeded at start-tag %s");
MSG(BIGTKLIST,"Only one token allowed for this attribute");
MSG(DIFCONN,  "Inconsistent connector");
MSG(DIFUCLC,  "UC and LC must have same number of characters");
MSG(DUPATT,   "Attribute %s already defined; ignored");
MSG(DUPCHASGN,"Character number %d duplicates codeset assignment of %d");
MSG(DUPCHDESC,"Character number %d already described; ignored");
MSG(DUPDCLV,  "%s already defined for attribute %s; ignored");
MSG(DUPDEF,   "%s already defined");
MSG(DUPDIC,   "Delimiter-in-context \"%s\" duplicates \"%s\"");
MSG(DUPDLM,   "Two identical delimiters found: \"%s\"");
MSG(DUPDRDOC, "CHARSET describes character \"%c\" by more than one number");
MSG(DUPDRSYN, "SYNTAX describes character \"%c\" by more than one number");
MSG(DUPELT,   "Element %s already defined; ignored");
MSG(DUPELTSTM,"Element %s already defined as a rank stem; ignored");
MSG(DUPFCTCNB,"Duplicate Function Character number: %d");
MSG(DUPFCTREF,"Duplicate Function Name found: \"%s\"");
MSG(DUPFPI,   "Entities %s and %s have the same formal public identifier");
MSG(DUPID,    "ID \"%s\" also identifies element #%lu; ignored");
MSG(DUPIDDEF, "Only one ID allowed; NAME assumed");
MSG(DUPIDNAME,"Should use \"%s\" for the name of this ID attribute");
MSG(DUPNAM,   "Duplicate specification; ignored");
MSG(DUPNAMDLM,"Duplicate delimiter specification; ignored");
MSG(DUPNAMETY,"Duplicate entity specification; ignored");
MSG(DUPNAMNOT,"Duplicate notation name specification; ignored");
MSG(DUPNAMREP,"%s already replaces %s; replacement ignored");
MSG(DUPNAMTYP,"\"%s\" already describes a DTD or LTD; terminated");
MSG(DUPNOTDEF,"Only one NOTATION allowed; token group assumed");
MSG(DUPSREF,  "Duplicate short reference delimiter; ignored");
MSG(DUPSRMD,  "Duplicate SHORTREF mapping declaration; ignored");
MSG(DUPSRU,   "Element already associated with a map; ignored");
MSG(DUPSTMELT,"Rank stem %s already defined as an element; ignored");
MSG(DUPVANAM, "%s already replaced by %s; replacement ignored");
MSG(EXITED,   "Parser exited - RC=%d");
MSG(FAKEEND,  "Bad end-tag; treated as empty end-tag");
MSG(IGNOREEND,"Bad end-tag; ignored");
MSG(INVALINK, "Cannot activate LINKTYPE \"%s\"; demand ignored");
MSG(INVALS,   "Extraneous attribute; ignored");
MSG(INVATTDCL,"Invalid declared value in ATTLIST declaration");
MSG(INVATTDEF,"Attribute %s not defined for this tag; ignored");
MSG(INVATTSLK,"Associated element is not the base document element; ignored");
MSG(INVATTSPC,"Invalid attribute value specified");
MSG(INVBASET, "Unknown BASESET");
MSG(INVCAP,   "Value too big.  Capacity set to maximum (%lu)");
MSG(INVCHAR,  "Non-SGML character found (\'%02x\'x)");
MSG(INVCHRF,  "Unknown function name %s; reference ignored");
MSG(INVCONN,  "A valid connector or a GRPC was expected");
MSG(INVCONREF,"Empty element %s cannot have CONREF; ANY assumed");
MSG(INVDCLVDA,"Invalid for Data Attributes; NAME(S) assumed");
MSG(INVDCLVLK,"Invalid for Link Attributes; NAME(S) assumed");
MSG(INVDEFV,  "Invalid for Data or Link Attributes; IMPLIED assumed");
MSG(INVDLM,   "Invalid or misplaced delimiter");
MSG(INVDLSTR0,"Delimiter string empty; ignored");
MSG(INVDLSTR1,"General delimiter consisting solely of function chars; ignored");
MSG(INVDTPLIT,"Invalid reference in data tag pattern; ignored");
MSG(INVELTGI, "Element \"%s\" not declared in DTD; ignored");
MSG(INVELTGID,"Element not declared in DTD; \"%s O O ANY\" assumed");
MSG(INVELTREF,"Undeclared element \"%s\" found in one or more content models");
MSG(INVEMPASL,"Empty attribute specification list");
MSG(INVEMPCON,"Start-tag %s omitted with empty content");
MSG(INVEMPPER,"No token found in a parameter entity referenced within a group");
MSG(INVEMPTY, "Empty string not allowed");
MSG(INVENDTAG,"Implied end-tag %s was not declared omissible");
MSG(INVEOF,   "Premature end of file");
MSG(INVETGMIN,"End-tag minimization should be \"omissible\" for an EMPTY element");
MSG(INVETGOMI,"End-tag %s missing and tag omission prohibited; implied");
MSG(INVETYATT,"General entity \"%s\" specification invalid");
MSG(INVETYPE, "Entity type prohibited in replaceable character data; ignored");
MSG(INVEXID,  "System identifier for \"%s\" cannot be generated by the system");
MSG(INVFCTCL, "Invalid Function Class");
MSG(INVFEAT,  "The feature %s is not implemented; ignored");
MSG(INVFXATT, "FIXED attribute must equal default; assigned");
MSG(INVHNEST, "Closing delimiter prematurely found in a nested entity");
MSG(INVIDDEF, "ID must be REQUIRED or IMPLIED; IMPLIED assumed");
MSG(INVIDREF, "ID \"%s\" has not been defined");
MSG(INVISTCH, "Description of \"%s\" may induce misplacing the end of prolog");
MSG(INVISTDLM,"Changing %s delimiter may induce misplacing the end of prolog");
MSG(INVISTDST,"Syntax char #%02d is described differently in the reference");
MSG(INVISTQTY,"Quantity %s (%d) must equal or exceed the reference value (%d)");
MSG(INVKWD,   "Unrecognizable keyword");
MSG(INVLNEST, "End of entity prematurely found");
MSG(INVMD,    "Misplaced Markup Declaration");
MSG(INVMDIGN, "Invalid Markup Declaration; ignored");
MSG(INVMEX,   "Invalid exclusion of element %s");
MSG(INVMLCHAR,"Invalid character in minimum literal (\'%02x\'x); ignored");
MSG(INVMSE,   "Marked Section End when no MS open; ignored");
MSG(INVMSPRO, "CDATA or RCDATA Marked Section in prolog; section ignored");
MSG(INVMTYNET,"NET delimiter is invalid for EMPTY elements; TAGC assumed");
MSG(INVNAMGRP,"Name or name group invalid");
MSG(INVNASGN, "Invalid naming assignement: %c");
MSG(INVNOTA,  "Empty element %s cannot have NOTATION; ANY assumed");
MSG(INVNOTASP,"Notation specified with an explicit content reference");
MSG(INVNUM,   "Invalid number");
MSG(INVOWNID, "Formal Identifier: invalid owner identifier");
MSG(INVOWNKN, "Formal Identifier: invalid owner kind");
MSG(INVPETKW, "Keyword ignored in parameter entity");
MSG(INVPTC,   "Formal Identifier: \"ISO Registration Number\" outside CHARSET class");
MSG(INVPTDV,  "Formal Identifier: extraneous solidi found");
MSG(INVPTL,   "Formal Identifier: language not a name");
MSG(INVQNTY,  "Invalid value.  Quantity not replaced");
MSG(INVREMAP, "SHORTREF #%d mapped to entity \"%s\""); /* Was: "SHORTREF mapping change; ignored" */
MSG(INVROL,   "Invalid role");
MSG(INVRPTNAM,"Replacement cannot be a reference reserved name; ignored");
MSG(INVSCASGN,"Ambiguous Markup Scan character");
MSG(INVSGCHAR,"Character not allowed in SGML Declaration (\'%02x\'x)");
MSG(INVSGFPI, "FORMAL YES and non-formal public identifier(s) found");
MSG(INVSGMLID,"\"ISO 8879:1986\" expected; ignored");
MSG(INVSRBS1, "More than one BSEQ; shortref ignored");
MSG(INVSRBS2, "BSEQ preceeded or followed by a sepchar; shortref ignored");
MSG(INVSREF,  "Literal not a SHORTREF; shortref ignored");
MSG(INVSTGMIN,"Start-tag minimization should not be \"omissible\": declared content");
MSG(INVSTGOMI,"Start-tag %s missing and tag omission prohibited; implied");
MSG(INVSTGREQ,"Start-tag minimization for %s should not be \"omissible\": REQUIRED attribute");
MSG(INVSTRTAG,"Implied start-tag %s was not declared omissible");
MSG(INVSWITCH,"Cannot switch #%02d and #%02d: digits or letters; ignored");
MSG(INVSWTCH2,"Cannot switch #%02d and #%02d: not in the syntax; ignored");
MSG(INVTXTCL, "Formal Identifier: invalid text class");
MSG(ISORDOC,  "Either INSTANCE or DOCUMENT expected");
MSG(NIMPL,    "Not implemented (%d)");
MSG(NOASSELT, "No associated element type found; declaration ignored");
MSG(NOATKDEF, "Token %s not found; attribute ignored");
MSG(NOATTDEF, "No attributes defined; attribute(s) ignored");
MSG(NOATTSPC, "Attribute %s not specified; defaulted");
MSG(NOCAPSET, "Expecting a capacity name and value to follow SGMLREF");
MSG(NOCNTN,   "No content token found");
MSG(NOCURATT, "Current attribute %s missing");
MSG(NODIG,    "A digit was expected");
MSG(NODRDOC,  "Significant character \"%c\" not assigned in CHARSET");
MSG(NODRDOC2, "Cannot map syntax char #%02d to a document char #");
MSG(NODRSYN,  "Significant character \"%c\" not assigned in SYNTAX");
MSG(NODRSYN2, "Syntax character #%02d not described");
MSG(NODSC,    "Expecting a DSC");
MSG(NODTD,    "Expecting a DOCTYPE declaration");
MSG(NODTDI,   "Expecting a DOCTYPE declaration; implied from first start-tag");
MSG(NODTGC,   "Expecting a DTGC");
MSG(NODTSG,   "Expecting a DOCTYPE or an optional SGML declaration");
MSG(NOEOF,    "EOF expected");
MSG(NOFIXED,  "Simple link attributes must have FIXED default value; FIXED assumed");
MSG(NOGERDEF, "General entity \"%s\" not declared; defaulted");
MSG(NOGERIGN, "General entity \"%s\" not declared; ignored");
MSG(NOGINAME, "GI name expected");
MSG(NOGIREF,  "Declared element \"%s\" does not appear in any content model");
MSG(NOKYWD,   "Keyword: %s expected");
MSG(NOLANGUP, "Formal Identifier: language name must be in uppercase; changed");
MSG(NOLIT,    "Parameter literal expected");
MSG(NOMDC,    "Expecting a MDC");
MSG(NOMSICHAR,"No MSICHAR function specified");
MSG(NONAME,   "Name expected");
MSG(NONMTK,   "Name token expected");
MSG(NONOTA,   "No Notation MD found for %s; ignored");
MSG(NONOTETY, "No Notation MD found for entity %s; ignored");
MSG(NOOTAGMIN,"Expecting omitted tag minimization");
MSG(NOPER,    "No declaration; parameter entity ignored");
MSG(NOPS,     "Expecting a parameter separator");
MSG(NOPTDS,   "Formal Identifier: public text designating sequence not found");
MSG(NOPTXDS,  "Formal Identifier: public text description not found");
MSG(NOREFNAM, "%s is not a reference reserved name; replacement ignored");
MSG(NORQDATT, "Required attribute %s missing");
MSG(MSG_222,  "");  /* Unused */
MSG(NOSPTXCL, "Formal Identifier: missing space after text class");
MSG(NOSRETY,  "Map %s: entity %s not found; SR not mapped");
MSG(NOSRM,    "Shortref Map: %s not found; ignored");
MSG(NOTAGC,   "TAGC expected; tag closed");
MSG(MSG_226,  "");  /* Unused */
MSG(NOVA2NAM, "%s occurs only in the SYSTEM declaration; replacement ignored");
MSG(NOVANAM,  "%s occurs only in the SGML declaration; replacement ignored");
MSG(NUMLITUNU,"Number, parm literal or UNUSED expected");
MSG(OOCDATA,  "Data out of context; ignored");
MSG(OOCETG,   "%s element ended prematurely");
MSG(OOCPTDV,  "Formal Identifier: public text display version not allowed");
MSG(OOCSEP,   "Data (separator) out of context; ignored");
MSG(OOCSTG,   "Start-tag out of context; ignored");
MSG(OUTDOCDAT,"Data found outside document; parse ended");
MSG(OUTDOCETG,"End-tag found outside document; parse ended");
MSG(OUTDOCSTG,"Start-tag found outside document; parse ended");
MSG(SGMLNONE, "Either SGMLREF or NONE expected");
MSG(UBLNCOM,  "Unexpected entity end in comment");
MSG(UBLNLIT,  "\"%s\" expected;  entity end, truncated");
MSG(UBLNMSO,  "Unexpected end of entity in opened Marked Section");
MSG(UBLNMSOD, "Marked Section still open; section closed");
MSG(UBLNPIC,  "Unexpected end of entity in processing instruction");
MSG(UBLNTAG,  "Unexpected end of entity in tag");
MSG(UNKNOWN,  "MESSAGE #%d");
MSG(YESNO,    "Either YES or NO must be specified");
